<?php //$Id: block_user_growth.php by E. Daude, from LiveStat block
	
class block_user_growth	extends	block_base {
    function init() {
	$this->title = get_string('title','block_user_growth');
	$this->version = 2006051300;
    }
	
    function has_config() {return true;}	

	function get_content() {
		global $CFG;

		if (!@$CFG->block_user_growth_nbsamples) {
			$nbsamples = 12;
		} else {
			$nbsamples = $CFG->block_user_growth_nbsamples;
		}

		if (!@$CFG->block_user_growth_titlerange) {
			set_config('block_user_growth_titlerange', get_string('graphtitlerange', 'block_user_growth'));
		}

		if($this->content != NULL) {
			return $this->content;
		}
		$this->content = new stdClass;
		$this->content->footer = '';
		if (empty($this->instance)) {
			$this->content->text = '';
			return $this->content;
		}

        // Optional limit date
        
		$totime = time();
		
		$today = optional_param('today', '', PARAM_INT);
		$tomonth = optional_param('tomonth', '', PARAM_INT);
		$toyear = optional_param('toyear', '', PARAM_INT);
		
		if (!empty($today)){
		    $totime = mktime(0, 0, 0, $tomonth, $today, $toyear);
		}

		//requtes pour le nb d'utilisateur et de cours
		$select = "deleted = 0 AND confirmed = 1 AND firstaccess != 0 AND firstaccess <= $totime";
		$users =  count_records_select('user', $select);
				
		//affichage du graphique		
		$this->content->text = '<center><font size=1em>'.get_string('graphtitle','block_user_growth');
		$this->content->text .=	$nbsamples;
		$this->content->text .=	$CFG->block_user_growth_titlerange.'</font></center><br />';
		$this->content->text .=	'<center><img src="'.$CFG->wwwroot.'/blocks/'.$this->name().'/graph.php?totime='.$totime.'" alt="'.get_string('graphtitle','block_user_growth').$nbsamples.$CFG->block_user_growth_titlerange.'" />';
		
		//affichage du nombre d'utilisateur total et le nombre de cours total
		
		$this->content->text .=	'<hr /><center>'.get_string('membersnb','block_user_growth').$users.'</center>';
		
		$systemcontext = get_context_instance(CONTEXT_SYSTEM, 0);
		if (has_capability('moodle/site:doanything', $systemcontext)){
		    $this->content->text .=	"<form name=\"changerefdate\" method=\"GET\">";
            $this->content->text .=	print_date_selector ('today', 'tomonth', 'toyear', $totime, true);
            $this->content->text .=	"<input type=\"submit\" name=\"go_btn\" value=\"".get_string('changetoref', 'block_user_growth')."\" />";
		    $this->content->text .=	"</form>";
		}
	
	    return $this->content;
	}
}
?>